model portJ1
  Modelica.Mechanics.Rotational.Sources.Torque torque1 annotation(
    Placement(visible = true, transformation(origin = {-50, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia J1(J = 1)  annotation(
    Placement(visible = true, transformation(origin = {-10, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque2 annotation(
    Placement(visible = true, transformation(origin = {30, 20}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Interfaces.RealInput TqSD annotation(
    Placement(visible = true, transformation(origin = {100, 20}, extent = {{20, -20}, {-20, 20}}, rotation = 0), iconTransformation(origin = {100, 20}, extent = {{20, -20}, {-20, 20}}, rotation = 0)));
  Modelica.Blocks.Sources.Step step(startTime = 1)  annotation(
    Placement(visible = true, transformation(origin = {-90, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sensors.SpeedSensor speedSensor annotation(
    Placement(visible = true, transformation(origin = {30, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Interfaces.RealOutput Nj1 annotation(
    Placement(visible = true, transformation(origin = {100, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {100, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(speedSensor.w, Nj1) annotation(
    Line(points = {{42, -20}, {92, -20}, {92, -20}, {100, -20}}, color = {0, 0, 127}));
  connect(speedSensor.flange, J1.flange_b) annotation(
    Line(points = {{20, -20}, {10, -20}, {10, 0}, {0, 0}, {0, 0}}));
  connect(step.y, torque1.tau) annotation(
    Line(points = {{-78, 0}, {-62, 0}, {-62, 0}, {-62, 0}}, color = {0, 0, 127}));
  connect(TqSD, torque2.tau) annotation(
    Line(points = {{100, 20}, {42, 20}, {42, 20}, {42, 20}, {42, 20}, {42, 20}}, color = {0, 0, 127}));
  connect(torque2.flange, J1.flange_b) annotation(
    Line(points = {{20, 20}, {10, 20}, {10, 0}, {0, 0}}));
  connect(J1.flange_a, torque1.flange) annotation(
    Line(points = {{-20, 0}, {-40, 0}, {-40, 0}, {-40, 0}}));
  annotation(
    uses(Modelica(version = "3.2.2")));
end portJ1;
