model portSD1
  Modelica.Blocks.Interfaces.RealOutput TqSD annotation(
    Placement(visible = true, transformation(origin = {-90, 20}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {-90, 20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sensors.TorqueSensor torqueSensor annotation(
    Placement(visible = true, transformation(origin = {0, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 180)));
  Modelica.Mechanics.Rotational.Sources.Speed speed(exact = true)  annotation(
    Placement(visible = true, transformation(origin = {-50, -20}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Spring spring(c = 1)  annotation(
    Placement(visible = true, transformation(origin = {40, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Damper damper(d = 1)  annotation(
    Placement(visible = true, transformation(origin = {40, -30}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Fixed fixed annotation(
    Placement(visible = true, transformation(origin = {70, 0}, extent = {{-10, -10}, {10, 10}}, rotation = 90)));
  Modelica.Blocks.Interfaces.RealInput Nj1 annotation(
    Placement(visible = true, transformation(origin = {-100, -20}, extent = {{-20, -20}, {20, 20}}, rotation = 0), iconTransformation(origin = {-100, -20}, extent = {{-20, -20}, {20, 20}}, rotation = 0)));
equation
  connect(speed.w_ref, Nj1) annotation(
    Line(points = {{-62, -20}, {-92, -20}, {-92, -20}, {-100, -20}}, color = {0, 0, 127}));
  connect(torqueSensor.flange_b, speed.flange) annotation(
    Line(points = {{-10, 0}, {-20, 0}, {-20, -20}, {-40, -20}}));
  connect(TqSD, torqueSensor.tau) annotation(
    Line(points = {{-90, 20}, {8, 20}, {8, 11}}, color = {0, 0, 127}));
  connect(damper.flange_a, torqueSensor.flange_a) annotation(
    Line(points = {{30, -30}, {20, -30}, {20, 0}, {10, 0}}));
  connect(spring.flange_a, torqueSensor.flange_a) annotation(
    Line(points = {{30, 0}, {10, 0}}));
  connect(damper.flange_b, fixed.flange) annotation(
    Line(points = {{50, -30}, {60, -30}, {60, 0}, {70, 0}, {70, 0}}));
  connect(spring.flange_b, fixed.flange) annotation(
    Line(points = {{50, 0}, {70, 0}, {70, 0}, {70, 0}}));
  annotation(
    uses(Modelica(version = "3.2.2")));
end portSD1;
